#! /bin/csh
# ###########################################################################
#
# Author   BIGI Brigitte
# File     sample-cn.csh
# Language Chinese-GB2312
#
# Input  : HTML
# Output : XML
#
# ###########################################################################
if ($#argv != 1) then
        # Bip, print usage and exit
        printf '\a'
        echo "Usage: " `basename $0` " <html file>" > "/dev/stderr"
        exit 1
endif
# ###########################################################################

set example = `echo $1 | sed -e "s/\.html//"`


echo "1. HTML2Text"
iconv -f gb2312 -t utf8 $1 | $CTTK/bin/HTMLClean.csh | $CTTK/bin/Html2Text.awk > $example.1

echo "2. Text2XML"
cat $example.1 | $CTTK/bin/Text2XML.awk > $example.2

echo "3. SplitOrig2wd"
cat $example.2 | $CTTK/bin/SplitOrig2Wd.awk -l CN > $example.3 

echo "4. Replace"
cat $example.3 | $CTTK/bin/Replace.awk -V $CTTK/dico/Replace-cn.dico -l CN > $example.4

echo "5. Stick"
cat $example.4 | $CTTK/bin/Stick.awk -V $CTTK/dico/Lexique-cn.vocab -a "" -s 7 > $example.5

echo "6. Num2Letter"
cat $example.5 | $CTTK/bin/Num2LetterCN.awk  > $example.6

echo "7. Remove"
cat $example.6 | $CTTK/bin/Remove.awk -V $CTTK/dico/Punct.vocab -w > $example.xml

rm $example.?
