#!/bin/csh
# ###########################################################################
#
# Author    BIGI Brigitte & LE Viet Bac
# File      sample-vn.csh
# language  Vietnamese-utf8
#
# Input  : HTML
# Output : XML
#
# ###########################################################################
if ($#argv != 1) then
        # Bip, print usage and exit
        printf '\a'
        echo "Usage: " `basename $0` " <html file>" > "/dev/stderr"
        exit 1
endif
# ###########################################################################


set example = `echo $1 | sed -e "s/\.html//"`

echo "1. HTML2Text"
cat $1 | $CTTK/bin/HTMLClean.csh | $CTTK/bin/Html2Text.awk > $example.1

echo "2. Text2XML"
cat $example.1 | $CTTK/bin/Text2XML.awk -u > $example.2

echo "3. SplitOrig2wd"
cat $example.2 | $CTTK/bin/SplitOrig2Wd.awk > $example.3

echo "4. Replace"
cat $example.3 | $CTTK/bin/Replace.awk -V $CTTK/dico/Replace-vn.dico -l FR > $example.4
 
echo "5. Tokenize"
cat $example.4 | $CTTK/bin/Tokenize.awk -V $CTTK/dico/Lexique-vn.vocab > $example.5

echo "6. Stick"
cat $example.5 | $CTTK/bin/Stick.awk -V $CTTK/dico/Phrases-vn.vocab -a "_" -s 7 > $example.6

echo "7. Lower"
cat $example.6 | $CTTK/bin/Lower.awk -V $CTTK/dico/UpperLower-vn.dico > $example.7

echo "8. Num2Letter"
cat $example.7 | $CTTK/bin/Num2LetterVN.awk  > $example.8

echo "9. Remove"
cat $example.8 | $CTTK/bin/Remove.awk -V $CTTK/dico/Punct.vocab -w > $example.xml

rm $example.?

